Bug 1387742 - initial-setup not visible on screen [NEEDINFO]
Summary: initial-setup not visible on screen
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: initial-setup
Version: 26
Hardware: armhfp
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Kolman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-10-21 18:04 UTC by Michal Hlavinka
Modified: 2018-05-29 11:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:36:40 UTC
pbrobinson: needinfo? (mkolman)


Attachments (Terms of Use)

Description Michal Hlavinka 2016-10-21 18:04:50 UTC
Description of problem:
I've installed Fedora 25 Beta 1.1 on a SD card using Fedora arm-image-installer for arm sbc pcDuino3 Nano. After powering on, boot process stopped without visible reason. There was no login prompt on the terminal. After alt-f2, on second I got the login prompt. After investigating, I've found out that boot process was actually still running and `systemctl list-jobs` reported that initial-boot service is still running. After stopping the service, boot process finished. There was no crash or other error report in the logs. Seems initial-setup was running, but not on first terminal (tty1). I've this confirmed later, when I've attached cable to serial console (ttyS0).

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install sd card with latest Fedora
2. boot it
3. 

Actual results:
boot stucks with initial-setup running, but not visible on first terminal

Expected results:
initial-setup visible

Comment 1 Martin Kolman 2016-10-26 17:24:45 UTC
We have discussed this issues but were unfortunately not able to come up with a universal and robust enough solution for the Fedora 25 time frame. There is no good way how to decide which console should be used as there are devices that have both a serial console and graphical output and users could be using either of them.

Possible workaround for F25 are:

Setting the console to /dev/tty1 via boot command line parameters.

Using the Fedora arm image installer[0] to enable password-less login for root, logging in via tty2, setting a root password and then disabling the Initial Setup service (systemctl disable initial-setup.service).

Or to make the system available over network as described in the first question of the F24 installation FAQ[1] (How do I use Fedora ARM when I have no serial cable or display?).


For Fedora 26 the best solution (as suggested by Peter Robinson) seems to be to identify what consoles the user might be using and then display a prompt on them asking the user if the given console should be used to initial system configuration. Once the user confirms the prompt on one console then Initial Setup will be started on it & the other prompt on different consoles would be deactivated. According to systemd developers/maintainers a generator unit looks like the best candidate for launching the prompts.

[0] https://pagure.io/arm-image-installer
[1] https://fedoraproject.org/wiki/Architectures/ARM/F24/Installation#FAQ

Comment 2 Frantisek Kluknavsky 2016-11-15 15:57:15 UTC
The same issue here. It is quite inconvenient. If I were not already 100% decided for Fedora, I would rather try another distro than debug a frozen boot process. And it is yet one more manual task with each installation.
Maybe, as a workaround, arm-image-installer could offer to disable initial-setup.

Comment 3 Peter Robinson 2016-11-15 16:58:54 UTC
> Maybe, as a workaround, arm-image-installer could offer to disable
> initial-setup.

I have considered offering the ability to set all those bits via that utility but the people that maintain it don't have the cycles. Feel free to assist. You can work around it for text based installs (such as minimal) by using that that tool to explicitly set a console using --console

Comment 4 Peter Robinson 2016-11-28 06:45:45 UTC
Moving to rawhide to track feature for F-26

Comment 5 Fedora End Of Life 2017-02-28 10:29:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Peter Robinson 2017-03-15 16:12:07 UTC
Martin what's the status for this for F-26?b

Comment 7 Fedora End Of Life 2018-05-03 08:23:57 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2018-05-29 11:36:40 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.